<?php

require_once('conf/dbc.php');
require_once('conf/session_start.php');
require_once('conf/ban.php');
$page_title = 'Выбор отряда для битвы';
require_once('conf/head.php');
if ((isset($_SESSION['id'])) and (isset($_SESSION['nick'])))  {
require_once('conf/top.php');
}
$user_id = abs(intval($_SESSION['id']));
$user = $pdo->query("SELECT * FROM users WHERE id='".$user_id."'")->fetch();
$clanid = $user['clan'];
$clan = $pdo->query("SELECT * FROM clans WHERE clan_id='".$clanid."'")->fetch();

$user_id = abs(intval($_SESSION['id']));
if($user[clan]<=0){echo'<p class="name">Выбор отряда для битвы</p>
<span class="red">Вы не состоите в отряде</span>';
require_once('conf/navig.php');
require_once('conf/foot.php');
exit();
}
?>
 <p class="name">Выбор отряда для битвы</p>
   <?php
$count=mysqli_num_rows(mysqli_query($dbc,"SELECT COUNT(*) FROM clans where slava<='".($clan[slava]*2)."' and slava>='".($clan[slava]/2)."' and clan_id <>'$clanid'"));
include_once 'nav_class.php';
//Эх подстраничная навигация нелезть:)
$nstr='10'; //Сообщений на страницу
$countQ=$dbc->query("SELECT * FROM clans where slava<='".($clan[slava]*2)."' and slava>='".($clan[slava]/2)."' and clan_id <>'$clanid'"); #запрос в бд
$count=mysqli_num_rows($countQ); //Подсчёт строк
$pages = new Navigator($count,$nstr); #Вызов класса подстраничной навигации и расчёт страниц
$str = $pages -> start; //Сам хз что))
$i=1;
		  $query_us = "Select * from clans where slava<='".($clan[slava]*2)."' and slava>='".($clan[slava]/2)."' and clan_id <>'$clanid' order by slava  DESC  limit  $str,$nstr";
      $result_us = mysqli_query($dbc, $query_us) or die ('Ошибка передачи запроса к БД');
	  while ($row_us = mysqli_fetch_array($result_us)) {
	    $nick = $row_us['name'];
	    $id_us = $row_us['clan_id'];
		$gruppa = $row_us['gruppa'];
              $ava = $row_us['ava'];

	    ?>
<div style="background: url(/style/img/2.jpg);">
<?php echo "$i";?>.
<?php
          if ($gruppa == 'svoboda') {?><img src="img/ico/svobodaon.png" width="12" height="12" alt="н"/><?php }
	  if ($gruppa == 'dolg') {?><img src="img/ico/dolgon.png" width="12" height="12" alt="н"/><?php }
	  if ($gruppa == 'naemniki') {?><img src="img/ico/naemniki.png" width="12" height="12" alt="н"/><?php }
	 if ($gruppa == 'renegat') {?><img src="img/ico/renegat.png" width="12" height="12" alt="н"/><?php }
          if ($gruppa == 'chistoenebo') {?><img src="img/ico/chistoenebo.png" width="12" height="12" alt="н"/><?php }
   echo'['.$lvl.' ур]
         <a style="text-decoration:none;"  href="clan?id='.$id_us.'">'.$nick.'</a></p><b>
 <span class="white"><table width="370" border="0" cellpadding="0" cellspacing="0">
    <tbody>
    <tr>
  <img src="/img/clan_av/'.$row_us['ava'].'" width="70" height="70" />
    <td width="3000" valign="top">
<p class="link">Слава:<img src="/img/ico/slava.png" width="12" height="12"> '.$row_us['slava'].' </p>
</tr></tr></tbody></table></span></b></div>';
$i++;
	  }
if($count==0){echo'<p style="border-top: dashed #444e4f 1px;"></p>Подходящих отрядов для битвы нет!<p style="border-top: dashed #444e4f 1px;"></p>';}
if($count>10){$pages->print_nav('&tip=10');} //Навигация гг

if ((isset($_SESSION['id'])) and (isset($_SESSION['nick'])))  {
  require_once('conf/navig.php');
}
require_once('conf/foot.php');
?>
</body>
</html>